# synfigapp::Action::BookEntry Struct Reference

`#include <action.h>`

List of all members.

## Public Member Functions

bool | operator< (const BookEntry &rhs) const

## Public Attributes

synfig::String | name
synfig::String | local_name
synfig::String | version
synfig::String | task
int | priority
Category | category
Factory | factory
CandidateChecker | is_candidate
GetParamVocab | get_param_vocab

## Member Function Documentation

bool synfigapp::Action::BookEntry::operator< | ( | const BookEntry & | rhs | ) | const`[inline]`

References priority.

## Member Data Documentation

synfig::String synfigapp::Action::BookEntry::name

synfig::String synfigapp::Action::BookEntry::local_name

Referenced by studio::Instance::process_action().

synfig::String synfigapp::Action::BookEntry::version

synfig::String synfigapp::Action::BookEntry::task

Referenced by studio::get_action_stock_id().

int synfigapp::Action::BookEntry::priority

Referenced by operator<().

Category synfigapp::Action::BookEntry::category

Factory synfigapp::Action::BookEntry::factory

Referenced by studio::Instance::process_action().

CandidateChecker synfigapp::Action::BookEntry::is_candidate

GetParamVocab synfigapp::Action::BookEntry::get_param_vocab

Referenced by studio::Instance::process_action().

The documentation for this struct was generated from the following file:

- action.h